Start New Run
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agent_id": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs"
payload = { "agent_id": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: '<string>'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "<string>",
"object": "simulation_run",
"dataset_id": "<string>",
"dataset_name": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"total_tests": 0,
"passed_tests": 0,
"failed_tests": 0,
"success_rate": 123,
"error_message": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}Simulation
Start New Run
Start a new simulation run for a dataset.
POST
/
api
/
v1
/
simulation
/
datasets
/
{dataset_id}
/
runs
Start New Run
curl --request POST \
--url https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"agent_id": "<string>"
}
'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs"
payload = { "agent_id": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_id: '<string>'})
};
fetch('https://{tenant_id}.api.useago.com/api/v1/simulation/datasets/{dataset_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "<string>",
"object": "simulation_run",
"dataset_id": "<string>",
"dataset_name": "<string>",
"agent_id": "<string>",
"agent_name": "<string>",
"total_tests": 0,
"passed_tests": 0,
"failed_tests": 0,
"success_rate": 123,
"error_message": "<string>",
"started_at": "<string>",
"completed_at": "<string>"
}Authorizations
Path Parameters
Body
application/json
Schema for starting a simulation run via the v1 API.
Response
201 - application/json
Created
Response schema for simulation runs.
